| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2383.h File Reference
Analog-to-Digital Converters (ADC) » LTC2383: 16/18-Bit 1Msps ADC

LTC2381-16: 16-Bit, 250Ksps ADC. More...

## Detailed Description

LTC2381-16: 16-Bit, 250Ksps ADC.

LTC2382-16: 16-Bit, 500Ksps ADC. LTC2383-16: 16-Bit, 1Msps ADC

    The following parts (DUT) are pin-compatible, 16-bit A/D converters with serial I/O, and an internal reference:
    LTC2381-16: 16-Bit, 250Ksps ADC.
    LTC2382-16: 16-Bit, 500Ksps ADC.
    LTC2383-16: 16-Bit, 1Msps ADC

    Example Code:

    Read ADC input.

        LTC2383_read(LTC2383_CS, &adc_code);   // Throws out last reading
        LTC2383_read(LTC2383_CS, &adc_code);   // Obtains the current reading and stores to adc_code variable

        // Convert adc_code to voltage
        adc_voltage = LTC2383_code_to_voltage(adc_code, vref);

http://www.linear.com/product/LTC2381-16 http://www.linear.com/product/LTC2382-16 http://www.linear.com/product/LTC2383-16

http://www.linear.com/product/LTC2381-16#demoboards http://www.linear.com/product/LTC2382-16#demoboards http://www.linear.com/product/LTC2383-16#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC2383: 16/18-bit 1Msps ADC

Definition in file LTC2383.h.

Go to the source code of this file.

## Functions
void | LTC2383_read (uint8_t cs, uint16_t *ptr_adc_code)
| Reads the LTC2383 and returns 16-bit data in 2's complement format. More...
float | LTC2383_code_to_voltage (int16_t adc_code, float vref)
| Calculates the LTC2383 input voltage given the binary data and lsb weight. More...

## Macros
#define | LTC2383_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
LTC2383 Channel Address
#define | LTC2383_ADDRESS 0x00

## Function Documentation

## ◆ LTC2383_code_to_voltage()

float LTC2383_code_to_voltage | ( | int16_t | adc_code,
|  | float | vref
| ) |  |

Calculates the LTC2383 input voltage given the binary data and lsb weight.

Returns
  Floating point voltage

Parameters

  adc_code | Raw ADC code
  vref | Reference voltage

Definition at line 97 of file LTC2383.cpp.

## ◆ LTC2383_read()

void LTC2383_read | ( | uint8_t | cs,
|  | uint16_t * | ptr_adc_code
| ) |  |

Reads the LTC2383 and returns 16-bit data in 2's complement format.

Returns
  void

Parameters

  cs | Chip Select Pin
  ptr_adc_code | Returns code read from ADC (from previous conversion)

Definition at line 77 of file LTC2383.cpp.

## Macro Definition Documentation

## ◆ LTC2383_ADDRESS

#define LTC2383_ADDRESS 0x00

Definition at line 86 of file LTC2383.h.

## ◆ LTC2383_CS

#define LTC2383_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 80 of file LTC2383.h.